pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::TC Struct Reference

This structure is used for determining the end of the k-means clustering process. More...

`#include <pcl/recognition/implicit_shape_model.h>`

## Public Types

enum | { COUNT = 1, EPS = 2 }

## Public Member Functions

| TC (int type, int max_count, float epsilon)
| Termination criteria constructor. More...

## Public Attributes

int | type_
| Flag that determines when the k-means clustering must be stopped. More...
int | max_count_
| Defines maximum number of iterations for k-means clustering. More...
float | epsilon_
| Defines the accuracy for k-means clustering. More...

## Detailed Description

### template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>
struct pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::TC

This structure is used for determining the end of the k-means clustering process.

Definition at line 279 of file implicit_shape_model.h.

## Member Enumeration Documentation

## anonymous enum

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

anonymous enum

Enumerator
COUNT |
EPS |

Definition at line 281 of file implicit_shape_model.h.

## Constructor & Destructor Documentation

## TC()

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::TC::TC | ( | int | type,
|  | int | max_count,
|  | float | epsilon
| ) |  |

inline

Termination criteria constructor.

Parameters

  [in] | type | defines the condition of termination(max iter., desired accuracy)
  [in] | max_count | defines the max number of iterations
  [in] | epsilon | defines the desired accuracy

Definition at line 292 of file implicit_shape_model.h.

## Member Data Documentation

## epsilon_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

float pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::TC::epsilon_

Defines the accuracy for k-means clustering.

Definition at line 309 of file implicit_shape_model.h.

## max_count_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

int pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::TC::max_count_

Defines maximum number of iterations for k-means clustering.

Definition at line 306 of file implicit_shape_model.h.

## type_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

int pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::TC::type_

Flag that determines when the k-means clustering must be stopped.

If type_ equals COUNT then it must be stopped when the max number of iterations will be reached. If type_ eaquals EPS then it must be stopped when the desired accuracy will be reached. These flags can be used together, in that case the clustering will be finished when one of these conditions will be reached.

Definition at line 295 of file implicit_shape_model.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/implicit_shape_model.h